﻿using System;

namespace TestClient
{
    /// <summary>
    /// 자료 모델
    /// </summary>
    public class DataModel
    {
        //////////////////////////////////////////////////////////////////////////////////////////////////// Property
        ////////////////////////////////////////////////////////////////////////////////////////// Public

        #region ID - ID (NOT NULL)

        /// <summary>
        /// ID
        /// </summary>
        public string ID { get; set; }

        #endregion
        #region 메뉴 ID - MENU_ID (NOT NULL)

        /// <summary>
        /// 메뉴 ID
        /// </summary>
        public string MENU_ID { get; set; }

        #endregion
        #region 제목 - SUBJECT (NOT NULL)

        /// <summary>
        /// 제목
        /// </summary>
        public string SUBJECT { get; set; }

        #endregion
        #region 작성일 - WRITE_DATE (NOT NULL)

        /// <summary>
        /// 작성일
        /// </summary>
        public DateTime WRITE_DATE { get; set; }

        #endregion
        #region 순번 - SEQUENCE (NOT NULL)

        /// <summary>
        /// 순번
        /// </summary>
        public string SEQUENCE { get; set; }

        #endregion
        #region 회원 등급 - MEMBER_GRADE (NOT NULL)

        /// <summary>
        /// 회원 등급
        /// </summary>
        public string MEMBER_GRADE { get; set; }

        #endregion
        #region 연령 제한 - LIMIT_AGE (NOT NULL)

        /// <summary>
        /// 연령 제한
        /// </summary>
        public string LIMIT_AGE { get; set; }

        #endregion
        #region 자료 타입 - DATA_TYPE (NOT NULL)

        /// <summary>
        /// 자료 타입
        /// </summary>
        public string DATA_TYPE { get; set; }

        #endregion
        #region 분류 1 - CATEGORY1

        /// <summary>
        /// 분류 1
        /// </summary>
        public string CATEGORY1 { get; set; }

        #endregion
        #region 분류 2 - CATEGORY2

        /// <summary>
        /// 분류 2
        /// </summary>
        public string CATEGORY2 { get; set; }

        #endregion
        #region 분류 3 - CATEGORY3

        /// <summary>
        /// 분류 3
        /// </summary>
        public string CATEGORY3 { get; set; }

        #endregion
        #region 분류 4 - CATEGORY4

        /// <summary>
        /// 분류 4
        /// </summary>
        public string CATEGORY4 { get; set; }

        #endregion
        #region 분류 5 - CATEGORY5

        /// <summary>
        /// 분류 5
        /// </summary>
        public string CATEGORY5 { get; set; }

        #endregion
        #region 분류 6 - CATEGORY6

        /// <summary>
        /// 분류 6
        /// </summary>
        public string CATEGORY6 { get; set; }

        #endregion
        #region 분류 7 - CATEGORY7

        /// <summary>
        /// 분류 7
        /// </summary>
        public string CATEGORY7 { get; set; }

        #endregion
        #region 분류 8 - CATEGORY8

        /// <summary>
        /// 분류 8
        /// </summary>
        public string CATEGORY8 { get; set; }

        #endregion
        #region 저장소 ID - STORAGE_ID (NOT NULL)

        /// <summary>
        /// 저장소 ID
        /// </summary>
        public string STORAGE_ID { get; set; }

        #endregion
        #region 저장소명 - STORAGE_NAME (JOIN FIELD)

        /// <summary>
        /// 저장소명
        /// </summary>
        public string STORAGE_NAME { get; set; }

        #endregion
        #region 생성자 ID - CREATE_ID (NOT NULL)

        /// <summary>
        /// 생성자 ID
        /// </summary>
        public string CREATE_ID { get; set; }

        #endregion
        #region 생성자 사용자 ID - CREATE_USER_ID (JOIN FIELD)

        /// <summary>
        /// 생성자 사용자 ID
        /// </summary>
        public string CREATE_USER_ID { get; set; }

        #endregion
        #region 생성 시간 - CREATE_TIME (NOT NULL)

        /// <summary>
        /// 생성 시간
        /// </summary>
        public DateTime CREATE_TIME { get; set; }

        #endregion
        #region 수정자 ID - UPDATE_ID (NOT NULL)

        /// <summary>
        /// 수정자 ID
        /// </summary>
        public string UPDATE_ID { get; set; }

        #endregion
        #region 수정자 사용자 ID - UPDATE_USER_ID (JOIN FIELD)

        /// <summary>
        /// 수정자 사용자 ID
        /// </summary>
        public string UPDATE_USER_ID { get; set; }

        #endregion
        #region 수정 시간 - UPDATE_TIME (NOT NULL)

        /// <summary>
        /// 수정 시간
        /// </summary>
        public DateTime UPDATE_TIME { get; set; }

        #endregion
    }
}